# $Revision: 1.83.4.1 $, $Date: 2011/06/17 08:22:45 $
Summary:	Keep passwords and other user's secrets
Summary(pl.UTF-8):	Przechowywanie haseł i innych tajnych danych użytkowników
Name:		gnome-keyring
Version:	2.32.1
Release:	4
License:	LGPL v2+ (library), GPL v2+ (programs)
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/2.32/%{name}-%{version}.tar.bz2
# Source0-md5:	9a8aa74e03361676f29d6e73155786fc
URL:		http://live.gnome.org/GnomeKeyring
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	cairo-devel
BuildRequires:	dbus-devel >= 1.2.0
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.26.0
BuildRequires:	gtk+2-devel >= 2:2.20.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgcrypt-devel >= 1.2.2
BuildRequires:	libtasn1-devel >= 0.3.4
BuildRequires:	libtool
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
Requires(post,postun):	glib2 >= 1:2.26.0
Requires:	dbus >= 1.2.0
Conflicts:	rpm < 4.4.2-0.2
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
GNOME Keyring is a program that keeps password and other secrets for
users. It is run as a daemon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.

The library libgnome-keyring is used by applications to integrate with
the GNOME keyring system.

%description -l pl.UTF-8
GNOME Keyring to program do przechowywania haseł i innych tajnych
danych użytkowników. Działa jako demon w sesji, podobnie do
ssh-agenta, a inne aplikacje mogą znaleźć go poprzez zmienną
środowiskową.

Biblioteka libgnome-keyring jest używana przez aplikacje do integracji
z systemem kluczy GNOME.

%package libs
Summary:	GNOME keyring library
Summary(pl.UTF-8):	Biblioteka GNOME keyring
License:	LGPL v2+
Group:		X11/Libraries

%description libs
GNOME keyring library.

%description libs -l pl.UTF-8
Biblioteka GNOME keyring.

%package devel
Summary:	Headers for GNOME keyring library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GNOME keyring
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	dbus-devel >= 1.2.0
Requires:	glib2-devel >= 1:2.26.0
Requires:	gtk+2-devel >= 2:2.20.0
Requires:	libtasn1-devel >= 0.3.4

%description devel
Headers for GNOME keyring library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GNOME keyring.

%package static
Summary:	Static GNOME keyring libraries
Summary(pl.UTF-8):	Statyczne biblioteki GNOME keyring
License:	LGPL v2+
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static versions of GNOME keyring libraries.

%description static -l pl.UTF-8
Statyczne biblioteki GNOME keyring.

%package apidocs
Summary:	GNOME keyring API documentation
Summary(pl.UTF-8):	Dokumentacja API GNOME keyring
License:	LGPL v2+
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GNOME keyring API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API GNOME keyring.

%package -n pam-pam_gnome_keyring
Summary:	A PAM module for unlocking keyrings at login time
Summary(pl.UTF-8):	Moduł PAM do odblokowywania zbiorów kluczy w czasie logowania
License:	LGPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	gnome-keyring-pam

%description -n pam-pam_gnome_keyring
A PAM module that can automatically unlock the "login" keyring when
the user logs in and start the keyring daemon.

%description -n pam-pam_gnome_keyring -l pl.UTF-8
Moduł PAM, który może automatycznie odblokowywać zbiór kluczy "login"
w czasie logowania użytkownika i uruchamiania demona keyring.

%prep
%setup -q

%build
%{__gtkdocize}
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gtk-doc \
	--enable-static \
	--with-html-dir=%{_gtkdocdir} \
	--with-pam-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install install-pam \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT/%{_lib}/security/pam_gnome_keyring.{l,}a
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/gnome-keyring-pkcs11.{l,}a
%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-keyring/{devel,standalone}/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
%glib_compile_schemas

%postun
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-keyring
%attr(755,root,root) %{_bindir}/gnome-keyring-daemon
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libexecdir}/gnome-keyring-prompt
%attr(755,root,root) %{_libdir}/%{name}/gnome-keyring-pkcs11.so
%dir %{_libdir}/%{name}/devel
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-ssh-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/devel/gkm-user-store-standalone.so
%dir %{_libdir}/%{name}/standalone
%attr(755,root,root) %{_libdir}/%{name}/standalone/gkm-roots-store-standalone.so
%attr(755,root,root) %{_libdir}/%{name}/standalone/gkm-secret-store-standalone.so
%{_sysconfdir}/xdg/autostart/gnome-keyring-gpg.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-pkcs11.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-secrets.desktop
%{_sysconfdir}/xdg/autostart/gnome-keyring-ssh.desktop
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/dbus-1/services/org.freedesktop.secrets.service
%{_datadir}/dbus-1/services/org.gnome.keyring.service
%{_datadir}/gcr
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/gnome-keyring

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgcr.so.*.*.*
%attr(755,root,root) %{_libdir}/libgp11.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgcr.so.0
%attr(755,root,root) %ghost %{_libdir}/libgp11.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgcr.so
%attr(755,root,root) %{_libdir}/libgp11.so
%{_includedir}/gcr
%{_includedir}/gp11
%{_pkgconfigdir}/gcr-0.pc
%{_pkgconfigdir}/gp11-0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgcr.a
%{_libdir}/libgp11.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gcr-0
%{_gtkdocdir}/gp11

%files -n pam-pam_gnome_keyring
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/security/pam_gnome_keyring.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-keyring.spec,v $
Revision 1.83.4.1  2011/06/17 08:22:45  lisu
- dropped libtool files
- rel 4

Revision 1.83  2011/03/27 13:33:20  qboosh
- en@shaw locale is now supported (via LANGUAGE)

Revision 1.82  2010/12/09 16:35:41  megabajt
- use %glib_compile_schemas
- release 3

Revision 1.81  2010/10/28 08:20:41  glen
- compile schemas after deps being installed (use posttrans for that); rel 2

Revision 1.80  2010/10/26 11:07:07  caleb
- Up to 2.32.1

Revision 1.79  2010/10/13 23:44:29  emes
- added BReq: cairo-devel

Revision 1.78  2010/09/29 09:15:38  megabajt
- updated to 2.32.0

Revision 1.77  2010/06/21 15:09:41  megabajt
- updated to 2.30.3

Revision 1.76  2010/06/21 11:33:50  megabajt
- updated to 2.30.2
- removed obsolete -fix_service_file_creation.patch and
  -use_org.freedesktop.secrets.patch

Revision 1.75  2010/06/07 23:13:34  arvenil
- added -fix_service_file_creation.patch
- added -use_org.freedesktop.secrets.patch
- release 3

Revision 1.74  2010/05/28 10:22:08  glen
- unify pam package name: rename pam module to pam-pam_gnome_keyring; rel 2

Revision 1.73  2010/04/26 21:22:46  megabajt
- updated to 2.30.1

Revision 1.72  2010/03/30 17:55:02  megabajt
- updated to 2.30.0; merged changes from DEVEL

Revision 1.71.2.2  2010/03/13 18:45:42  megabajt
- updated to 2.29.92

Revision 1.71.2.1  2010/02/10 19:06:48  megabajt
- updated to 2.29.90

Revision 1.71  2010/02/10 15:21:33  megabajt
- release 2

Revision 1.70  2010/01/10 20:32:24  sparky
- __gtkdocize
- BR: docbook-dtd412-xml

Revision 1.69  2009/12/14 18:32:08  megabajt
- updated to 2.28.2
- removed -bug-595698.patch (applied upstream)

Revision 1.68  2009/11/12 12:03:13  patrys
- rebuild
- rel 3

Revision 1.67  2009/11/07 23:12:49  baggins
- rel 2
- fix https://bugzilla.gnome.org/show_bug.cgi?id=595698
  gnome-keyring-daemon doesn't exit properly when the session ends

Revision 1.66  2009/09/25 20:40:02  megabajt
- updated to 2.28.0

Revision 1.65  2009/07/02 13:00:04  megabajt
- drop ca@valencia locale
- release 2

Revision 1.64  2009/07/01 22:02:53  megabajt
- updated to 2.26.3

Revision 1.63  2009/06/17 14:45:07  hawk
- release 2

Revision 1.62  2009/04/13 18:33:12  megabajt
- updated to 2.26.1

Revision 1.61  2009/03/15 18:24:02  megabajt
- updated to 2.26.0; merged changes from DEVEL

Revision 1.60.2.2  2009/03/04 21:27:46  megabajt
- updated to 2.25.92

Revision 1.60.2.1  2009/02/19 17:20:20  megabajt
- updated to 2.25.91

Revision 1.60  2008/12/26 16:47:07  qboosh
- added temporary workaround for libtasn1 without m4 macro

Revision 1.59  2008/10/19 11:35:39  megabajt
- updated to 2.24.1

Revision 1.58  2008/09/25 20:29:52  megabajt
- updated to 2.24.0

Revision 1.57.2.4  2008/09/12 22:27:38  patrys
- 2.23.92

Revision 1.57.2.3  2008/08/19 20:09:42  patrys
- 2.23.90

Revision 1.57.2.2  2008/08/04 12:51:01  patrys
- 2.23.6

Revision 1.57.2.1  2008/07/23 10:25:14  patrys
- 2.23.5

Revision 1.57  2008/07/01 17:38:21  megabajt
- updated to 2.22.3

Revision 1.56  2008/06/11 15:48:50  hawk
- release 2

Revision 1.55  2008-05-31 19:57:30  adamg
- updated to 2.22.2

Revision 1.54  2008-04-07 07:19:59  megabajt
- updated to 2.22.1

Revision 1.53  2008-03-10 20:04:45  megabajt
- updated to 2.22.0; merged changes from DEVEL

Revision 1.50.2.4  2008-02-25 17:16:18  megabajt
- updated to 2.21.92

Revision 1.50.2.3  2008-02-12 12:46:31  megabajt
- updated to 2.21.91

Revision 1.50.2.2  2008-01-19 19:48:51  megabajt
- updated to 2.21.5
- more verbose files

Revision 1.52  2008/01/10 06:50:19  qboosh
- ghost soname symlink

Revision 1.51  2008-01-09 20:18:36  megabajt
- updated to 2.20.3

Revision 1.50.2.1  2007-12-20 01:31:24  patrys
- 2.21.4

Revision 1.50  2007-11-24 22:58:56  megabajt
- updated to 2.20.2

Revision 1.49  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.48  2007/10/15 16:25:43  megabajt
- updated to 2.20.1

Revision 1.47  2007/09/19 16:59:39  megabajt
- 2.20.0

Revision 1.46  2007/09/18 18:13:13  patrys
- R: dbus >= 1.1.2

Revision 1.45  2007/09/17 17:24:17  megabajt
- updated to 2.20; merged changes from DEVEL

Revision 1.44.2.3  2007/08/28 19:03:33  qboosh
- pl for -pam

Revision 1.44.2.2  2007/08/28 16:53:33  megabajt
- updated md5

Revision 1.44.2.1  2007/08/28 16:51:45  megabajt
- updated to 2.19.91
- added pam subpackage

Revision 1.44  2007/04/07 21:48:18  megabajt
- updated to 0.8.1

Revision 1.43  2007/03/12 17:49:26  megabajt
- updated to 0.8

Revision 1.42  2007/02/28 16:46:27  megabajt
- updated to 0.7.92
- removed obsolete single-unlock-dialog patch

Revision 1.41  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.40  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.39  2007/01/14 10:40:20  czarny
- up to 0.7.3
- todo added (Patch0 needed?)

Revision 1.38  2006/11/28 13:33:04  megabajt
- release 2 (rebuild with P: *.la)

Revision 1.37  2006/09/04 17:42:38  grzegol
- 0.6.0

Revision 1.36  2006/08/21 16:13:24  freetz
- 0.5.2, apidocs subpkg, update deps

Revision 1.35  2006/07/12 18:08:35  freetz
- rel.2, updated deps, --as-needed support

Revision 1.34  2006/06/12 16:27:28  freetz
- 0.5.1, added gtk-doc documentation, updated BR

Revision 1.33  2006/06/07 14:58:27  freetz
- rel.3

Revision 1.32  2006/06/02 21:44:55  freetz
- merged changes from AC-branch

Revision 1.31  2006/05/22 16:51:39  blaass
- spelling fix

Revision 1.30  2006/03/13 13:27:10  freetz
- 0.4.9

Revision 1.29  2006/02/27 18:31:31  freetz
- 0.4.8

Revision 1.28  2006/02/13 10:34:32  freetz
- 0.4.7

Revision 1.27  2005/11/14 16:35:04  freetz
- 0.4.6

Revision 1.26  2005/09/15 18:08:09  freetz
- 0.4.5

Revision 1.25  2005/09/06 19:48:20  freetz
- 0.4.4

Revision 1.24  2005/07/03 15:47:11  freetz
- run post/postun ldconfig call in libs not in main package

Revision 1.23  2005/07/03 15:39:25  freetz
- 0.4.3

Revision 1.22  2005/05/10 23:46:36  pluto
- release 3 for Th.

Revision 1.21  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.20  2005/04/10 17:36:17  freetz
- new style macros, rel.2

Revision 1.19  2005/03/07 21:11:18  qboosh
- gpm-friendly Source URL, updated -devel dep

Revision 1.18  2005/03/07 20:26:06  wiget
- updated to 0.4.2

Revision 1.17  2005/01/11 09:51:39  paladine
- updated to 0.4.1, STBR

Revision 1.16  2004/09/13 12:06:00  grzegol
- updated to 0.4.0

Revision 1.15  2004/08/30 13:29:42  grzegol
- updated to 0.3.3
- removed outdated locale-names patch
- remove no locale in %%install

Revision 1.14  2004/08/12 21:07:07  ankry
- s/Gnome/GNOME/

Revision 1.13  2004/07/20 22:42:10  grzegol
- updated to 0.3.2

Revision 1.12  2004/07/05 09:00:50  aflinta
- up to version 0.3.1

Revision 1.11  2004/04/19 10:59:44  grzegol
- updated to 0.2.1

Revision 1.10  2004/03/22 12:49:52  grzegol
- updated to 0.2.0

Revision 1.9  2004/03/15 16:33:56  grzegol
- updated to 0.1.91

Revision 1.8  2004/03/08 12:27:57  grzegol
- updated to 0.1.90
- added locale-names patch (changes locale no -> nb)
- regenerate lt/al/ac/am
- updated BRs, strict internal deps

Revision 1.7  2004/02/11 08:47:54  aflinta
- up to version 0.1.4

Revision 1.6  2004/01/30 22:00:22  grzegol
- updated to 0.1.3

Revision 1.5  2004/01/12 17:14:51  grzegol
- updated to 0.1.2

Revision 1.4  2003/12/28 14:13:29  grzegol
- updated to 0.1.1
- moved postun ldconfig to -libs
- added TODO to docs

Revision 1.3  2003/12/16 18:01:44  qboosh
- pl for base
- some Group and deps fixes (libs don't depend on gtk+2, app do)

Revision 1.2  2003/12/16 13:16:57  wrobell
- added libs subpackage
- fixed descriptions and summaries
- rel. 2

Revision 1.1  2003/12/10 17:22:34  wiget
- initial
